%
% Bestimmung des Vorwiderstandes zur Ansteuerung einer LED
% Verwendet die Funktion 
%    nl_ap.m
%
% Eingaben
% Uq Quellenspannung der Spannungsquelle
% Iap Strom am Arbeitspunkt
% [umin,umax] Bereich, in dem AP bestimmt und geplottet werden soll
%
% Ausgaben
% Iap Stromstärke am Arbeitspunkt
% Uap Spannung am Arbeitspunkt
% Rv Notwendiger Vorwiderstandes
%
% Beipielaufruf
%   [Iap,Uap,Rv] = nl_ap_rv (3,0.02,[0,2])
%
function [Iap,Uap,Rv] = nl_ap_rv (Uq,Iap,urange)
% Angabe der Optimierungsgleichung
ife1=@(rv) nl_ap(Uq,rv,urange)-Iap;
Rv=fzero(ife1,(Uq-urange(2:-1:1))/Iap+1);
Uap=Uq-Iap*Rv;
end
