% File: quellen.m
% Grafische Darstellung der Kennlinien von 
% Strom- und Spannungsquellen inkl. 
% der Kennlinie einer Last
% ull: Leerlaufspannung (vektor)
% iks: Kurzschlussstrom (vektor, gleiche Länge wie ull)
% rl: Vektor von möglichen Lastwiderständen
% Beispiel
% quellen([1000 10 1 1 1],[0.1 0.1 0.1 1 1000],10)
function [retval] = quellen (ull,iks,rl)
u=[ull;zeros(1,length(ull))];
i=[zeros(1,length(iks)); iks];
clf;
plot(u,i,'linewidth',4,'b-');
hold on;
grid on;
xlabel('U/V');
ylabel('I/A');
ul=rl.*i;
plot(ul,i,'r-','linewidth',4);
axis([0 1.5 0 0.15]) % Evtl. auskommentieren!
endfunction
